Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030668
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo Localizations] Localization USAmajoralways2015-08-25 15:152015-09-04 11:34
ReporterngarciaView Statuspublic 
Assigned Topsanjuan 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0030668: Instance cannot be upgraded to 3.0PR15Q3 if the Check Printing module is installed (included in US Localization Pack)

DescriptionInstance cannot be upgraded to 3.0PR15Q3 if the Check Printing module is installed (included in US Localization Pack)
Steps To ReproduceAs group admin role:
   Install the US Localization Pack in an instance previous to 3.0PR15Q3
   Upgrade Core to a version higher or equal 3.0PR15Q3
   Check the compilation fails with errors like: ...modules/org.openbravo.localization.us.checkprinting/src/org/openbravo/localization/us/checkprinting/ad_forms/CheckManagement.java:1201: error: method setParameters in class JRAbstractExporter<RC,C,O,E> cannot be applied to given types;
    [javac] exporter.setParameters(exportParameters);
TagsNo tags attached.
Attached Filesdiff file icon usLocalizationPackReports.diff [^] (11,009 bytes) 2015-09-04 11:34 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029882 closedcaristu Openbravo ERP API changes required for Jasper library upgrade to version 6.0.0 
related to defect 0030672 closedpsanjuan Openbravo Localizations Instance cannot be upgraded to 3.0PR15Q3 if the TDS Business Forms pack is installed (included in US Localization Pack) 
related to design defect 0030766 new Openbravo Localizations US Localization pack needs to be adjusted to support new Jasper Libraries. 

-  Notes
(0079752)
psanjuan (manager)
2015-08-26 12:05

Check Printing module that belongs to US Localization needs to be updated to support new Jasper Library.
(0080092)
psanjuan (manager)
2015-09-04 11:33

patch attached provided through support ticket.

- Issue History
Date Modified Username Field Change
2015-08-25 15:15 ngarcia New Issue
2015-08-25 15:15 ngarcia Issue Monitored: networkb
2015-08-25 15:16 ngarcia Relationship added related to 0029882
2015-08-25 15:17 ngarcia Assigned To => psanjuan
2015-08-26 10:45 ngarcia Issue cloned 0030672
2015-08-26 10:45 ngarcia Relationship added related to 0030672
2015-08-26 12:05 psanjuan Note Added: 0079752
2015-09-04 09:07 vmromanos Status new => acknowledged
2015-09-04 11:33 psanjuan Note Added: 0080092
2015-09-04 11:33 psanjuan Status acknowledged => scheduled
2015-09-04 11:33 psanjuan Status scheduled => resolved
2015-09-04 11:33 psanjuan Resolution open => fixed
2015-09-04 11:33 psanjuan Status resolved => closed
2015-09-04 11:34 psanjuan File Added: usLocalizationPackReports.diff
2015-11-18 17:31 ngarcia Relationship added related to 0030766


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker